---
title: Getting started with Scheme
description: Getting started with programming in Scheme.
order: 4
---

## What is Scheme?

Scheme is a statically scoped, weakly typed programming language which got invented in 1975 by Guy L. Steele
and Gerald J. Sussman. Scheme is a dialect of the programming language Lisp. LispPad implements the latest
Scheme standard, called [R7RS (small)](http://r7rs.org), and includes a range of additional libraries.


## Specification

The Revised⁷ Report on the Algorithmic Language Scheme (R7RS), authored by Alex Shinn, John Cowan,
and Arthur Gleckler is available in <a href="../media/r7rs.pdf" target="_blank">PDF format</a>.


## Learning Scheme

[The Scheme Programming Language](https://www.scheme.com/tspl4/) by Kent Dybvig provides a well-written,
comprehensive introduction into Scheme. The book is based on the [R6RS](http://www.r6rs.org) standard, so it is not
fully compatible with the language implemented by LispPad. Nevertheless, it is a great text book covering all
aspects of Scheme.

[Structure and Interpretation of Computer Programs](https://mitpress.mit.edu/sicp/full-text/book/book-Z-H-4.html#%_toc_start)
by Harold Abelson and Gerald Jay Sussman is an intriguing introduction into programming with Scheme.
This classic text book is revolutionary in many ways, covering literally all aspects of programming at great depth.
It should be read by all Scheme programmers.

Another classical text book introducing programming in Scheme is
[Scheme and the Art of Programming](https://www.cs.unm.edu/~williams/cs357/springer-friedman.pdf) by
George Springer and Daniel P. Friedman.

